## etcd-fs 0.0+git20140621.0.395eacb

=== Makefile ===
export GOPATH=$(shell pwd)

test:
	-docker run -d -p 8001:8001 -p 4001:4001 coreos/etcd -name etcd-node1
	go get github.com/franela/goblin
	go get github.com/coreos/go-etcd/etcd
	go get github.com/hanwen/go-fuse/fuse
	go test -v etcdfs

install:
	sudo apt-get install -qq fuse
	sudo modprobe fuse

build:
	go build etcdfs.go

=== debian/changelog ===
etcd-fs (0.0+git20140621.0.395eacb-4) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * golang-etcd-dev --> golang-github-coreos-go-etcd-dev (Closes: #870390)
  * debhelper & compat to version 11
  * Standards-Version: 4.1.4; Priority: optional

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Jul 2018 17:39:30 +1000

etcd-fs (0.0+git20140621.0.395eacb-3) unstable; urgency=medium

  * Team upload.
  * Add XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 08 Feb 2018 08:53:51 +0100

etcd-fs (0.0+git20140621.0.395eacb-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Michael Stapelberg ]
  * Add fix-ftbfs.patch for golang-github-hanwen-go-fuse 0.0~git20170609.0.5690be4-1

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 30 Jul 2017 18:41:03 +0200

etcd-fs (0.0+git20140621.0.395eacb-1) unstable; urgency=medium

  * Initial release (Closes: #803733).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Sep 2015 07:20:24 +1000

=== debian/control ===
Source: etcd-fs
Section: utils
Priority: optional
Standards-Version: 4.1.4
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-go,
               golang-github-hanwen-go-fuse-dev,
               golang-github-coreos-go-etcd-dev,
Homepage: https://github.com/xetorthio/etcd-fs
Vcs-Browser: https://salsa.debian.org/go-team/packages/etcd-fs
Vcs-Git: https://salsa.debian.org/go-team/packages/etcd-fs.git
XS-Go-Import-Path: github.com/xetorthio/etcd-fs

Package: etcd-fs
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: FUSE client for etcd
 Basic FUSE client for etcd.
 Supported file system operations:
  * Reading/Writing files
  * Creating/Deleting files
  * Creating/Deleting directories

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/xetorthio/etcd-fs

## needs github.com/franela/goblin
export DH_GOLANG_EXCLUDES := etcdfs/file_test.go etcdfs/path_test.go

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install
	$(RM) -rv debian/etcd-fs/usr/share/gocode
